aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/heat/onap-oom
diff options
context:
space:
mode:
Diffstat (limited to 'deployment/heat/onap-oom')
-rw-r--r--deployment/heat/onap-oom/rancher_vm_entrypoint.sh4
-rw-r--r--deployment/heat/onap-oom/scripts/cleanup.sh23
2 files changed, 25 insertions, 2 deletions
diff --git a/deployment/heat/onap-oom/rancher_vm_entrypoint.sh b/deployment/heat/onap-oom/rancher_vm_entrypoint.sh
index 0a636e260..c1b13a469 100644
--- a/deployment/heat/onap-oom/rancher_vm_entrypoint.sh
+++ b/deployment/heat/onap-oom/rancher_vm_entrypoint.sh
@@ -64,9 +64,9 @@ apt-get -y install linux-image-extra-$(uname -r) jq make nfs-kernel-server moreu
# use RAM disk for /dockerdata-nfs for testing
-echo "tmpfs /dockerdata-nfs tmpfs noatime 1 2" >> /etc/fstab
+#echo "tmpfs /dockerdata-nfs tmpfs noatime 1 2" >> /etc/fstab
mkdir -pv /dockerdata-nfs
-mount /dockerdata-nfs
+#mount /dockerdata-nfs
# version control the persistence volume to see what's happening
chmod 777 /dockerdata-nfs/
diff --git a/deployment/heat/onap-oom/scripts/cleanup.sh b/deployment/heat/onap-oom/scripts/cleanup.sh
new file mode 100644
index 000000000..03bcd170e
--- /dev/null
+++ b/deployment/heat/onap-oom/scripts/cleanup.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+IFS='
+'
+
+if [ -z $1 ]; then
+ echo "ONAP component name missing"
+ echo "Usage: ./cleanup.sh ONAP_COMPONENT_NAME"
+ exit 1
+fi
+
+COMPONENT=$1
+
+if [ $COMPONENT == "dcae" ] || [ $COMPONENT == "DCAE" ]; then
+ kubectl delete service consul -n onap
+fi
+
+for op in secrets configmaps pv services deployments statefulsets; do
+ ARRAY=(`kubectl get $op -n onap | grep $COMPONENT | awk '{print $1}'`)
+ for i in ${ARRAY[*]}; do
+ kubectl delete $op -n onap $i
+ done
+done